JNA API 3.5.2-SNAPSHOT

## com.sun.jna.platform.win32
Class WinBase.SYSTEMTIME

    java.lang.Object
      com.sun.jna.Structure
          com.sun.jna.platform.win32.WinBase.SYSTEMTIME

Enclosing interface:
  WinBase

    public static class WinBase.SYSTEMTIME

extends Structure

Specifies a date and time, using individual members for the month, day, year, weekday, hour, minute, second, and millisecond. The time is either in coordinated universal time (UTC) or local time, depending on the function that is being called. http://msdn.microsoft.com/en-us/library/ms724950(VS.85).aspx

Nested Class Summary

Nested classes/interfaces inherited from class com.sun.jna.Structure
`Structure.ByReference, Structure.ByValue`

Field Summary
`short` `wDay`
`short` `wDayOfWeek`
`short` `wHour`
`short` `wMilliseconds`
`short` `wMinute`
`short` `wMonth`
`short` `wSecond`
`short` `wYear`

Fields inherited from class com.sun.jna.Structure
`ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

Constructor Summary
`WinBase.SYSTEMTIME()`

Method Summary
`protected java.util.List` `getFieldOrder()` Return this Structure's field names in their proper order.

Methods inherited from class com.sun.jna.Structure

`allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, clear, ensureAllocated, equals, fieldOffset, getAutoRead, getAutoWrite, getFieldList, getFields, getNativeAlignment, getNativeSize, getNativeSize, getPointer, getStructAlignment, hashCode, newInstance, newInstance, read, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setFieldOrder, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, write, writeField, writeField`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### wYear

    public short wYear

### wMonth

    public short wMonth

### wDayOfWeek

    public short wDayOfWeek

### wDay

    public short wDay

### wHour

    public short wHour

### wMinute

    public short wMinute

### wSecond

    public short wSecond

### wMilliseconds

    public short wMilliseconds

Constructor Detail

### WinBase.SYSTEMTIME

    public WinBase.SYSTEMTIME()

Method Detail

### getFieldOrder

    protected java.util.List getFieldOrder()

  Description copied from class: `Structure`
  Return this Structure's field names in their proper order. For example,

       protected List getFieldOrder() {
           return Arrays.asList(new String[] { ... });
       }

  IMPORTANT When deriving from an existing Structure subclass, ensure that you augment the list provided by the superclass, e.g.

       protected List getFieldOrder() {
           List fields = new ArrayList(super.getFieldOrder());
           fields.addAll(Arrays.asList(new String[] { ... }));
           return fields;
       }

  Field order must be explicitly indicated, since the field order as returned by `Class.getFields()` is not guaranteed to be predictable.

  Specified by:
    `getFieldOrder` in class `Structure`

JNA API 3.5.2-SNAPSHOT

Copyright © 2007-2013 Timothy Wall. All Rights Reserved.